<?php
$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');

$col_xl = 12 / intval($col_xl);
$col_lg = 12 / intval($col_lg);
$col_md = 12 / intval($col_md);
$col_sm = 12 / intval($col_sm);
$col_xs = 12 / intval($col_xs);

$grid_sizer = "col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
$item_class = "pxl-grid-item col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
?>
<?php if(isset($settings['meta_lv3']) && !empty($settings['meta_lv3']) && count($settings['meta_lv3'])):
    $is_new = \Elementor\Icons_Manager::is_migration_allowed(); ?>
    <div class="pxl-grid pxl-meta-grid pxl-meta-grid3" data-layout="<?php echo esc_attr($settings['data_layout']); ?>">
        <div class="pxl-grid-inner pxl-grid-masonry row" data-gutter="15">
            <?php foreach ($settings['meta_lv3'] as $key => $value):
                $icon_key = $widget->get_repeater_setting_key( 'pxl_icon_lv3', 'icons', $key );
                $widget->add_render_attribute( $icon_key, [
                    'class' => $value['pxl_icon_lv3'],
                    'aria-hidden' => 'true',
                ] );
                $desc_lv3 = isset($value['desc_lv3']) ? $value['desc_lv3'] : '';
    			$title_lv3 = isset($value['title_lv3']) ? $value['title_lv3'] : '';
                ?>
                <div class="<?php echo esc_attr($item_class); ?>">
                    <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>">
                        <div class="pxl-inner-content">
                            <?php if ( ! empty( $value['pxl_icon_lv3'] ) ) : ?>
                                <div class="pxl-item--icon">
                                    <?php if ( $is_new ):
                                        \Elementor\Icons_Manager::render_icon( $value['pxl_icon_lv3'], [ 'aria-hidden' => 'true' ] );
                                    elseif(!empty($value['pxl_icon_lv3'])): ?>
                                        <i class="<?php echo esc_attr( $value['pxl_icon_lv3'] ); ?>" aria-hidden="true"></i>
                                    <?php endif; ?>
                                </div>
                            <?php endif; ?>
                            <div class="pxl-item--title">
                                <?php echo pxl_print_html($title_lv3); ?>
                            </div>
                            <div class="pxl-item--desc"><?php echo pxl_print_html($desc_lv3); ?></div>
                        </div>
                   </div>
                </div>
            <?php endforeach; ?>
            <div class="grid-sizer <?php echo esc_attr($grid_sizer); ?>"></div>
        </div>
    </div>
<?php endif; ?>
